
/*
 * LIB/GLOBAL.C
 *
 * (c)Copyright 1997, Matthew Dillon, All Rights Reserved.  Refer to
 *    the COPYRIGHT file in the base directory of this distribution 
 *    for specific rights granted.
 */

#include "defs.h"

Prototype const char *NewsHome;

Prototype const char *SpoolHomePat;
Prototype const char *DQueueHomePat;
Prototype const char *GroupHomePat;
Prototype const char *CacheHomePat;
Prototype const char *FeedsHomePat;
Prototype const char *LogHomePat;
Prototype const char *LibHomePat;
Prototype const char *DbHomePat;

Prototype const char *DiabloSocketPat;		/* home relative */
Prototype const char *DReaderSocketPat;		/* home relative */

Prototype const char *DExpireCtlPat;		/* lib relative	*/
Prototype const char *DControlCtlPat;		/* lib relative	*/
Prototype const char *DiabloHostsPat;		/* lib relative	*/
Prototype const char *DReaderHostsPat;		/* lib relative	*/
Prototype const char *DServerHostsPat;		/* lib relative	*/
Prototype const char *ModeratorsPat;		/* lib relative	*/
Prototype const char *DNewsfeedsPat;		/* lib relative	*/
Prototype const char *DNNTPSpoolCtlPat;		/* lib relative	*/
Prototype const char *DistribDotPatsPat;	/* lib relative	*/
Prototype const char *DistributionsPat;		/* lib relative	*/

Prototype const char *ServerDActivePat;		/* db relative	*/
Prototype const char *ReaderDActivePat;		/* db relative	*/
Prototype const char *DHistoryPat;		/* db relative	*/
Prototype const char *SpamCachePat;		/* db relative	*/
Prototype const char *PCommitCachePat;		/* db relative	*/

Prototype volatile int DebugOpt;
Prototype  MemPool *SysMemPool;

const char *NewsHome	= "/news";

const char *SpoolHomePat = "%s/spool/news";
const char *DQueueHomePat = "%s/dqueue";
const char *GroupHomePat = "%s/spool/group";
const char *CacheHomePat = "%s/spool/cache";
const char *FeedsHomePat = "%s/feeds";
const char *LogHomePat = "%s/log";
const char *LibHomePat = "%s";
const char *DbHomePat = "%s";

const char *DiabloSocketPat = "%s/.diablosock";
const char *DReaderSocketPat = "%s/.dreadersock";
const char *ServerDActivePat = "%s/dactive.kp";
const char *ReaderDActivePat = "%s/dactive.kp";
const char *DExpireCtlPat = "%s/dexpire.ctl";
const char *DControlCtlPat = "%s/dcontrol.ctl";
const char *DHistoryPat = "%s/dhistory";
const char *DiabloHostsPat = "%s/diablo.hosts";
const char *DReaderHostsPat = "%s/dreader.hosts";
const char *DServerHostsPat = "%s/dserver.hosts";
const char *ModeratorsPat = "%s/moderators";
const char *SpamCachePat = "%s/spam.cache";
const char *PCommitCachePat = "%s/pcommit.cache";
const char *DNewsfeedsPat = "%s/dnewsfeeds";
const char *DNNTPSpoolCtlPat = "%s/dnntpspool.ctl";
const char *DistribDotPatsPat = "%s/distrib.pats";
const char *DistributionsPat = "%s/distributions";

volatile int  DebugOpt = 0;
MemPool	*SysMemPool;

